model Convection1
  Modelica.Thermal.HeatTransfer.Components.Convection convection1 annotation(
    Placement(visible = true, transformation(origin = {17, -45}, extent = {{-23, -23}, {23, 23}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant const(k = 7.504)  annotation(
    Placement(visible = true, transformation(origin = {-49, 49}, extent = {{-31, -31}, {31, 31}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Sources.FixedHeatFlow fixedHeatFlow1(Q_flow = 20)  annotation(
    Placement(visible = true, transformation(origin = {-59, -59}, extent = {{-29, -29}, {29, 29}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Sources.FixedTemperature fixedTemperature1(T = 293.15)  annotation(
    Placement(visible = true, transformation(origin = {103, -45}, extent = {{-23, -23}, {23, 23}}, rotation = 180)));
equation
  connect(convection1.fluid, fixedTemperature1.port) annotation(
    Line(points = {{40, -44}, {82, -44}, {82, -44}, {80, -44}}, color = {191, 0, 0}));
  connect(fixedHeatFlow1.port, convection1.solid) annotation(
    Line(points = {{-30, -59}, {-16, -59}, {-16, -44}, {-6, -44}}, color = {191, 0, 0}));
  connect(const.y, convection1.Gc) annotation(
    Line(points = {{-14, 50}, {17, 50}, {17, -22}}, color = {0, 0, 127}));
  annotation(
    uses(Modelica(version = "3.2.2")));
end Convection1;
